GriffonClassUtils.MethodDescriptor (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## griffon.util
[Java] Class GriffonClassUtils.MethodDescriptor

    java.lang.Object
      griffon.util.GriffonClassUtils.MethodDescriptor

All Implemented Interfaces:
  Comparable

    public static class GriffonClassUtils.MethodDescriptor

Field Summary
`private static String[]` | `EMPTY_CLASS_PARAMETERS`
`private int` | `hashCode`
`private String` | `methodName`
`private int` | `modifiers`
`private String[]` | `paramTypes`

Constructor Summary
`GriffonClassUtils.MethodDescriptor(String methodName)`
`GriffonClassUtils.MethodDescriptor(String methodName, int modifiers)`
`GriffonClassUtils.MethodDescriptor(String methodName, Class[] paramTypes)`
`GriffonClassUtils.MethodDescriptor(String methodName, String[] paramTypes)`
`GriffonClassUtils.MethodDescriptor(String methodName, Class[] paramTypes, int modifiers)`
`GriffonClassUtils.MethodDescriptor(String methodName, String[] paramTypes, int modifiers)`

Method Summary
`int` | `compareTo(Object obj)`
`boolean` | `equals(Object obj)`
`static MethodDescriptor` | `forMethod(Method method)`
`static MethodDescriptor` | `forMethod(MetaMethod method)`
`int` | `getModifiers()`
`String` | `getName()`
`String[]` | `getParameterTypes()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### EMPTY_CLASS_PARAMETERS

    private static final String[] EMPTY_CLASS_PARAMETERS

### hashCode

    private final int hashCode

### methodName

    private final String methodName

### modifiers

    private final int modifiers

### paramTypes

    private final String[] paramTypes

Constructor Detail

### GriffonClassUtils.MethodDescriptor

    public GriffonClassUtils.MethodDescriptor(String methodName)

### GriffonClassUtils.MethodDescriptor

    public GriffonClassUtils.MethodDescriptor(String methodName, int modifiers)

### GriffonClassUtils.MethodDescriptor

    public GriffonClassUtils.MethodDescriptor(String methodName, Class[] paramTypes)

### GriffonClassUtils.MethodDescriptor

    public GriffonClassUtils.MethodDescriptor(String methodName, String[] paramTypes)

### GriffonClassUtils.MethodDescriptor

    public GriffonClassUtils.MethodDescriptor(String methodName, Class[] paramTypes, int modifiers)

### GriffonClassUtils.MethodDescriptor

    public GriffonClassUtils.MethodDescriptor(String methodName, String[] paramTypes, int modifiers)

Method Detail

### compareTo

    public int compareTo(Object obj)

### equals

    public boolean equals(Object obj)

### forMethod

    public static MethodDescriptor forMethod(Method method)

### forMethod

    public static MethodDescriptor forMethod(MetaMethod method)

### getModifiers

    public int getModifiers()

### getName

    public String getName()

### getParameterTypes

    public String[] getParameterTypes()

### hashCode

    public int hashCode()

### toString

    public String toString()

Groovy Documentation